/* TableStyleMedium26.java

	Purpose:
		
	Description:
		
	History:
		Mar 30, 2015 5:17:51 PM, Created by henrichen

	Copyright (C) 2015 Potix Corporation. All Rights Reserved.
*/

package org.zkoss.zssex.model.sys;

import org.zkoss.zss.model.SBorder.BorderType;
import org.zkoss.zss.model.SFill.FillPattern;
import org.zkoss.zss.model.STableStyleElem;
import org.zkoss.zss.model.SFont.Underline;
import org.zkoss.zss.model.impl.BorderImpl;
import org.zkoss.zss.model.impl.BorderLineImpl;
import org.zkoss.zss.model.impl.ExtraFillImpl;
import org.zkoss.zss.model.impl.FontImpl;
import org.zkoss.zss.model.impl.TableStyleElemImpl;
import org.zkoss.zss.model.impl.TableStyleImpl;

/**
 * Builtin TableStyleMediumn26
 * 
 * @author henri
 * @since 3.8.0
 */
public class TableStyleMedium26 extends TableStyleImpl {
	private TableStyleMedium26() {
		super(
				"TableStyleMedium26",//name,
				M26_Whole_Table, 	//wholeTable,
				M26_Col_Stripe1, 	//colStripe1,
				1, 					//colStripe1Size,
				null, 				//colStripe2,
				1, 					//colStripe2Size,
				M26_Row_Stripe1, 	//rowStripe1,
				1, 					//rowStripe1Size,
				null,				//rowStripe2,
				1, 					//rowStripe2Size,
				M26_Last_Col, 	//lastCol,
				M26_First_Col,	//firstCol,
				M26_Header_Row,	//headerRow,
				M26_Total_Row,	//totalRow,
				null,	//firstHeaderCell,
				null,	//lastHeaderCell,
				null,	//firstTotalCell,
				null	//lastTotalCell
			);
	}
	
	private static final STableStyleElem M26_Col_Stripe1 = 
			new TableStyleElemImpl(
				null,	//font
				new ExtraFillImpl(FillPattern.SOLID, "CCC0DA", "CCC0DA"), 	//fill //ZSS-1162
				null	//border
			);

	private static final STableStyleElem M26_Row_Stripe1 =
			M26_Col_Stripe1;
	private static final STableStyleElem M26_Last_Col =
			new TableStyleElemImpl(
				new FontImpl("000000", true /*bold*/, false /*fontItalic*/, 
					false /*fontStrikeout*/, Underline.NONE), 			//font
				null, //fill
				null //border
			);
	private static final STableStyleElem M26_First_Col =
			M26_Last_Col;
	private static final STableStyleElem M26_Total_Row =
			new TableStyleElemImpl(
					new FontImpl("000000", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					null,//fill
					new BorderImpl(
							null, //left 
							new BorderLineImpl(BorderType.MEDIUM, "8064A2"), //top 
							null, //right
							null, //bottom
							null, //diagonal
							null, //vertical
							null  //horizontal
					)
			);
	private static final STableStyleElem M26_Header_Row =
			new TableStyleElemImpl(
					new FontImpl("000000", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					null,//fill
					null
			);
	private static final BorderLineImpl M26_Border_Line = 
			new BorderLineImpl(BorderType.THIN, "B2A1C7");
	private static final STableStyleElem M26_Whole_Table = 
			new TableStyleElemImpl(
					new FontImpl("000000", false /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "E5E0EC", "E5E0EC"),//fill //ZSS-1162
					new BorderImpl(
							M26_Border_Line, //left 
							M26_Border_Line, //top 
							M26_Border_Line, //right
							M26_Border_Line, //bottom
							null, //diagonal
							M26_Border_Line, //vertical
							M26_Border_Line 	//horizontal
					)
			);

	public static final TableStyleMedium26 instance = new TableStyleMedium26();
}
